<?php

namespace AutoAdmin\Bundle\Content\Breadcrumbs\Generator;

use AutoAdmin\Bundle\Content\Breadcrumbs\Manager\BreadcrumbsGeneratorManagerInterface;

interface BreadcrumbsGeneratorInterface
{
    public function supports(?object $subject): bool;
    public function generateFragments(?object $subject, BreadcrumbsGeneratorManagerInterface $manager): array;
}
